### Function

# Gimp color_is_out_of_self_gamut

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_color_is_out_of_self_gamut (
      GeglColor* color
    )

#### Description [src]

Determine whether `color` is out of its own space gamut. This can only happen if the color space is unbounded and any of the color component is out of the `[0; 1]` range. A small error of margin is accepted, so that for instance a component at -0.0000001 is not making the whole color to be considered as out-of-gamut while it may just be computation imprecision.

Available since: 3.0

#### Parameters

`color`

  Type: `GeglColor`

  A `GeglColor`

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the color is out of its own color space gamut.